#include <iostream>

using namespace std;

int main()
{
    int N,L;
    cin >> N >> L;
    int a[N];
    int br=0;
    for(int i=0;i<N;i++)
    {
        cin >> a[i];
        if(a[i]<=L)
        {
            cout << i+1;
            break;
        }
        else
        {
            br++;
        }
    }
    if(br ==N)
    {
        cout <<"-1";
    }
    return 0;
}